#pragma once
#include <map>

#include "../base/BaseTask.hpp"


namespace drp::task {


class UndefinedTask final : public BaseTask {
public:
    void handle(Context& context) override;

private:
    std::uniform_int_distribution(
        std::numeric_limits<std::uint16_t>::min(),
        std::numeric_limits<std::uint16_t>::max()
    ) broadcastCodeGenerator;

    util::CacheMap<
        uint32_t,
        std::chrono::high_resolution_clock::time_point,
        128
    > broadcastCode;

};


}
